(function($) 
{
/******************************************************************************/
//  Version: 0.0.8
/******************************************************************************/
	
    tinymce.PluginManager.add( 'wp_tinymce_slider_link', function( editor, url ) 
	{
        
		// Wenn der Container wp_tinymce_slider_link angeklickt wird
		
		editor.on('click', function (e) {			
			e.preventDefault();
			e.stopPropagation()
			var geklickt = e.originalTarget;
			var untersuche = geklickt.innerText;			
			var pos1 = untersuche.indexOf('wp-tinymce-slider-link');

			// wenn der shortcode 'wp-tinymce-slider-link' nicht enthalten ist abbruch
			if (  pos1 < 0 ) {
				return;
			}				
			wp_tinymce_getparameter_rsl(e);			
			
		});
	 
	
	 
    
		
		
		// Füge den Button zur Visual Editor Toolbar url enthält der Pfad zum script

        editor.addButton('wp_tinymce_slider_link', 
		{
            title: 'Füge sliderslider Link ein',
			image: url + '/slidericon.png',
            cmd: 'wp_tinymce_slider_link',
        }); 
		
		// Add Command when Button Clicked
		editor.addCommand('wp_tinymce_slider_link', function() 
		{
			// Check we have selected some text that we want to link
			var text = editor.selection.getContent({
				'format': 'html'
			});
			if ( text.length === 0 ) 
			{
				// $('#wp_rsl_overlay').removeClass('wp_rsl_unsichtbar');
				wp_rsl_formular();
				
			}else
			{
				tinymce.activeEditor.windowManager.alert('Bitte keinen Text auswählen Positionier den Cursor dorthin wo die Galerie eigefügt werden soll .');			
				return;
			}
		})
	})
	/*************************************************************************************/
	function wp_tinymce_getparameter_rsl(dasevent){
	dasObjekt		= dasevent.originalTarget;
	console.log(dasObjekt);
	var dieKlassen = dasObjekt.className.split(" ");
	console.log(dieKlassen[1]);
	var myText = "";
	myText=dasObjekt.innerText;	
	myText = myText.replace('[', "");
	myText = myText.replace(']', "");
	myText = myText.replace('=', "");	
	myText = myText.replace('wp-tinymce-slider-link ', "");
	var fuerParameter = myText.split('"');
	var dieParameter = {};
	dieParameter['ausrichtung'] = dieKlassen[1];
	key = fuerParameter[0];
	dieParameter[key] = fuerParameter[1];
	key = fuerParameter[2];
	dieParameter[key] = fuerParameter[3];
	key = fuerParameter[4];
	dieParameter[key] = fuerParameter[5];
	wp_rsl_formular(dieParameter['sliderlink'],dieParameter['ausrichtung'],dieParameter['weite'],dieParameter['hoehe'],true,dasevent.target);
	}
	
	/*************************************************************************************/
	function wp_rsl_iniform(ersetzen=false, zielnode=""){
		console.log(zielnode)
		$('#wp_rsl_ok').on('click',function(e){
			
						var diesliderid = $('#wp-hb-rsl-sliderauswahlliste').val();
						var dataausrichtung = $('#wp_rsl_ausrichtung').val();
						var datasliderwidth = $('#wp_rsl_width').val();
						var datasliderheight = $('#wp_rsl_height').val();

						var ausgeben = '<div class="wp_hb_rsl_slider '+dataausrichtung+'" ';
						ausgeben += 'style="';
						if ( datasliderwidth > 0 ) {
							ausgeben += 'width:'+datasliderwidth+'px; ';
						}
						if ( datasliderheight > 0 ) {
							ausgeben += 'height: '+datasliderheight+'px;';
						}
						ausgeben += '">';
						// nun folgt der shortcode
						ausgeben += '[wp-tinymce-slider-link sliderid="'+diesliderid+'" ';
						if ( datasliderwidth > 0 ) {
							ausgeben += 'width="'+datasliderwidth+'" ';
						}
						if ( datasliderheight > 0 ) {
							ausgeben += 'height="'+datasliderheight+'"';
						}
						ausgeben += ']</div>';
						if ( ersetzen ){							
							// tinymce.activeEditor.mceReplaceContent(ausgeben,false,mydiv);
							tinyMCE.activeEditor.execCommand('mceSelectNode', false, zielnode);
							tinyMCE.activeEditor.execCommand('mceRemoveNode', false, zielnode);							
							tinyMCE.activeEditor.execCommand('mceReplaceContent', false, ausgeben);
						}else{
							tinymce.activeEditor.insertContent(ausgeben);							
						}
						$('#wp_rsl_overlay').remove();
						return;			
		});
		$('#wp_rsl_loeschen').on('click',function(e){
						var ausgeben = '';
						tinyMCE.activeEditor.execCommand('mceSelectNode', false, zielnode);
						tinyMCE.activeEditor.execCommand('mceRemoveNode', false, zielnode);							
						tinyMCE.activeEditor.execCommand('mceReplaceContent', false, ausgeben);
						$('#wp_rsl_overlay').remove();
						return;			
		});		
				
		$('#wp_rsl_abbrechen').on('click',function(e){
				$('#wp_rsl_overlay').remove();
		});		
	}
	
	/*************************************************************************************/
	// erstellt das Overlay und Eingabeformular
	/*********************************************************************************************/
	function wp_rsl_formular(sliderlink="",ausrichtung='slider_rechts',weite="0",hoehe="0",aendern=false,zielnode="")
	{
		// class="wp_rsl_unsichtbar"
		var formular =  '<div id="wp_rsl_overlay" >';
		
		formular 	+=  '	<div id="wp_rsl_seite" >';
		formular 	+= '		<div class="wp_rsl_loader" ><img src="'+wp_hb_slider_ajaxdaten.RSL_PLUGINDIR+'css/loader.gif" /><h1>Formular wird geladen</h1></div>';
		formular 	+= '	</div>';						
		formular 	+= '</div>';	
		$('#wpwrap').prepend(formular);
		
	
		var verhaeltnis = weite/hoehe;
		 
		jQuery.ajax({
        type: 'POST',
        url: wp_hb_slider_ajaxdaten.ajaxurl,
		
        data: {
            action: 'wp_hb_slider_serversidefunction',
			ausgewaehlt: 0,
			todo: 'sliderauswahlliste'	
			
			},
			success: function (data, textStatus, XMLHttpRequest) {	
			result = jQuery.parseJSON(data);						
			
			if ( "" !== result.sliderauswahlliste)  {
					
		
		
		
			formular = '<div id="wp_rsl_seite"  ><h1>Einfügen des Sliders</h1>';
			formular += '	<p> Bitte suche den entsprechenden slider aus.';
			formular += '	</p>';	
			formular += '	<div class="wp_rsl_input_001">';
			formular += '	<span class="wp_rsl_spalte_001">slider: </span>	';
			formular += '	<span class="wp_rsl_spalte_002">'+result.sliderauswahlliste+'</span>';
			formular += '	</div>';
			
			formular += '	<div class="wp_rsl_input_001">';
			formular += '	<span class="wp_rsl_spalte_001">Ausrichtung: </span>';
			formular += '	<span class="wp_rsl_spalte_002">';
			formular += '		<select id="wp_rsl_ausrichtung" style="width:200px;">';
			selected= "";
			if ( 'slider_links' == ausrichtung ){
				selected= "selected";
			}			
			formular += '			<option span="slider linksbündig" value="slider_links">linksbündig';
			formular += '			</option>';
			selected= "";
			if ( 'slider_zentriert' == ausrichtung ){
				selected= "selected";
			}			
			formular += '			<option span="slider zentriert" value="slider_zentriert">zentriert';
			formular += '			</option>';
			selected= "";
			if ( 'slider_rechts' == ausrichtung ){
				selected= "selected";
			}			
			formular += '			<option span="slider rechtsbündig" value="slider_rechts" '+selected+'>rechtsbündig ';
			formular += '			</option>';
			formular += '		</select>	';		
			formular += '	</span>	</div>';
			
			
			formular += '	<div class="wp_rsl_input_001">';
			formular += '	<span class="wp_rsl_spalte_001">sliderbreite:</span>';
			formular += '	<span class="wp_rsl_spalte_002">';
			formular += '	 <input id="wp_rsl_width" type="text" maxlength="4" value="'+weite+'"> sliderhöhe:';
			formular += '	 <input id="wp_rsl_height" type="text" maxlength="3" value="'+hoehe+'">';
			formular += '	</span></div>';
			formular += '	<h2>Eine 0 für Weite und/oder Höhe sorgt dafür dass <br>dieser Parameter nicht gesetzt wird.</h2>';
			formular += '	<div class="wp_rsl_input_001">';
			formular += '	<span class="wp_rsl_spalte_003"><button id="wp_rsl_ok" >OK</button> &nbsp;</span>';
			formular += '	<span class="wp_rsl_spalte_003">';
			if ( aendern ){
				formular += '	<button id="wp_rsl_loeschen" >löschen</button> ';
			}
			formular += '&nbsp;</span>';
			formular += '	<span class="wp_rsl_spalte_003">';
			formular += '	 <button id="wp_rsl_abbrechen" type="reset">abbrechen</button>';
			formular += '	</span></div>';
			formular += '</div>';
			
			$('#wp_rsl_overlay').html(formular);
			wp_rsl_iniform(aendern,zielnode);	
		}
			
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log("Fehler im Ajaxrequest");
			console.log(errorThrown);
        }	
		})
    
	}
	/*********************************************************************************************/
	$(document).ready(function() {  
	
	});  
	
})(jQuery);


