<?php
/*
Plugin Name: Responsitiver Slider
Plugin URI: https://brinkmann.ksc-lemgo.de/
Description:  Ein einfacher responitives Slider bzw. Galerieplugin.
Version: 0.0.1
Author: Hubertus Brinkmann 
Author URI: https://brinkmann.ksc-lemgo.de
License: GPL2
*/

/*  Copyright 2018  Hubertus Brinkmann  (email : Hubertus.Brinkmann@ksc-lemgo.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

//  define constants

define('RSL_VERSION', '0.0.2');
define('RSL_db_version', '0.0.2');
define('RSL_PLUGINDIR',plugins_url('',__FILE__)."/" );
define('RSL_TEXTDOMAIN','wp-hb-slider');

if( !get_option('RSL_author')) {
	$RSL_author = "edit_posts";
	add_option("RSL_author", $RSL_author);
}
/****************************************************************/
// Hier ein Test für die AJAX-Nutzung
/****************************************************************/

// add_action( 'wp_ajax_nopriv_wp_hb_slider_serversidefunction', 'wp_hb_slider_serversidefunction' );
 
function wp_hb_slider_serversidefunction() {
	// $SQL= $_POST['sql'];
	global $wpdb;
	$table_name = $wpdb->prefix . "wp_hb_slider";
	$Slider['bilder'] = "2";
	$where['id'] = 2; // $_POST['sliderid'];
 
  
  $wpdb->update( $table_name, $Slider, $where );
  $result = $wpdb->update_id;
   
   
    echo json_encode($result);
}
/****************************************************************/
/**** Ende des Test                                **************/
/****************************************************************/
 
/********************* register the HOOCKS **********************/
add_action('plugins_loaded', 'rsl_init');
// Setting the stylesheet for the adminarea:
if(isset($_REQUEST['page'])) {
  if($_REQUEST['page']=='wordpress-slider' || $_REQUEST['page']=='wordpress-slider-settings')  {
    add_action( 'admin_init', 'rsl_admin_head' );
    function rsl_admin_head() {
      	  
    }
  }
}
// Style einbinden
wp_enqueue_style('rsl-styling', RSL_PLUGINDIR .'css/wp-hb-slider-admin-style.css', false, RSL_VERSION, "all");
// Die Javascripte einbinden
add_action( 'admin_enqueue_scripts', 'RSL_admin_scripts' );
// sind die Datenbanken aktuell?
add_action('plugins_loaded', 'RSL_update');
// die Serverseitigen Ajaxfunctionen bekannt machen.
add_action( 'wp_ajax_wp_hb_slider_serversidefunction', 'wp_hb_slider_serversidefunction' );

// Create the admin menu to call the side
add_action( 'admin_menu', 'RSL_menu');

// create the database only when Plugin is acivated.
register_activation_hook(__FILE__,'RSL_install');

function RSL_admin_scripts() {  
	//wp_enqueue_script( $handle        , $src , $deps = array(), $ver = false, $in_footer = false )	
	$src = RSL_PLUGINDIR . 'js/wp-hb-slider-admin.js'; // 	Full URL of the script
	$in_footer = true; // false ist der davault Wert 
	wp_enqueue_script('wp_hb_slider_admin', $src, '', RSL_VERSION, $in_footer);
	wp_localize_script( 'wp_hb_slider_admin', 'wp_hb_slider_ajaxdaten', array(
				'ajaxurl' => admin_url( 'admin-ajax.php' ),   // die muss so übernommen werden.
				'title' => "Die Welt ist nicht genug"
			)
	);
	
	
}  
// Make plugin available for translation
function rsl_init() {
 // load_plugin_textdomain(RSL_TEXTDOMAIN, false, dirname( plugin_basename( __FILE__ ) ) );
  
}
/********************************************************/
// Creating the Table in the DB or updating the structure
/********************************************************/
function RSL_install($echo = 0) {
	global $wpdb;	
    $test = add_option("RSL_db_version", "0.0.0");
	$installed_ver = get_option( "RSL_db_version" );
	if ($echo == 1)
		echo "TEST=".$test." == ".$installed_ver ." -- ".RSL_db_version."<<<<br>";
	
	RSL_update($echo);
}	// End Create Table in DB function
/********************************************************/
function RSL_update($echo = 0) { 
	global $wpdb;
	$table_name = $wpdb->prefix . "wp_hb_slider";
	$installed_ver = get_option( "RSL_db_version" );
	if ($echo == 1)
		echo $installed_ver ." -- ".RSL_db_version."<<<<br>";
	if( $installed_ver != RSL_db_version ) {  
		$sql = "CREATE TABLE $table_name (
			id mediumint(9) NOT NULL AUTO_INCREMENT,
			name VARCHAR(50) NOT NULL,
			schlagworte VARCHAR(255) NOT NULL,
			pfad MEDIUMTEXT NOT NULL,
			titel MEDIUMTEXT NULL,
			pageid bigint(20) NOT NULL, 
			autor bigint(20) NOT NULL,  
			bilder bigint(20) NOT NULL, 
			UNIQUE KEY id (id)
		);";		
  
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		if ($echo == 1)
			echo $sql."<br>";
		dbDelta($sql);
			
        update_option( "RSL_db_version", RSL_db_version );
	}
} 	// End Update Table in DB function
/********************************************************/
	function RSL_menu() {
		$capability  = 'edit_posts' ; // get_option('RSL_author');
		//add_menu_page( $page_title       ,  $menu_title, $capability             , $menu_slug        , callable $function = '', string $icon_url = '', int $position = null )
		add_menu_page('Wordpress Slider' , 'Slider'    ,$capability  , 'wordpress-slider', 'wordpress_slider_seite'          ,RSL_PLUGINDIR.'css/icon.png');
	}// End function RSL_menu to add a button to the admin dashboard

	
	
	/********************************************************/
	// here started the side you call in the adminmenue
	/********************************************************/
	function wordpress_slider_seite() {
	

	/******************************************************************************/
	// her we test the $_POST
	/******************************************************************************/
	$formular = 'slider_verwaltung';
	 echo '<pre>'; print_r($_POST); echo '</pre>';
	 if ( isset($_POST['formular'] ) )
		 $formular =  $_POST['formular'];
	/******************************************************************************/
	if (!current_user_can(get_option('RSL_author')))  {
		wp_die( __('You do not have sufficient permissions to access this page.',RSL_TEXTDOMAIN) );
	} // end check authorisation level of the user logged in
	$current_user = wp_get_current_user();
	// echo "<pre>current_user";	print_r($current_user);	echo '</pre>';
	/******************************************************************************/
	// echo ' Speichern der Sliderdaten (Neue Slider)';
	/******************************************************************************/
	if(isset($_POST['aktion'])) {
		// echo 'aktion'.$_POST['aktion'];
		if("neuer_slider_anlegen" == $_POST['aktion']) { // Neuen Slider in die Datenabk eintragen
			global $wpdb;            
			$table_name = $wpdb->prefix . "wp_hb_slider";
			$neueSlider['name'] = $_POST['name'];
			$neueSlider['titel'] = $_POST['titel'];
			$neueSlider['autor'] = $current_user->ID;    
			$wpdb->insert( $table_name, $neueSlider );
			$result = $wpdb->insert_id;
		}
		if("slider_aktualisieren" == $_POST['aktion']) { // Neuen Slider in die Datenabk eintragen
			global $wpdb;            
			$table_name = $wpdb->prefix . "wp_hb_slider";
			$Slider['name'] = $_POST['name'];
			$Slider['titel'] = $_POST['titel'];
			$Slider['autor'] = $current_user->ID;    
			$where['id'] =  $_POST['slider_welcher'];  
			$wpdb->update( $table_name, $Slider, $where );
			$result = $wpdb->update_id;
		}
	}
	/******************************************************************************/  
	
	// echo' Überschrift der Seite im Adminbereich';
	echo '<h2>Responsitiver Slider Version: '.RSL_VERSION.'</h2>';	
	/******************************************************************************/  
	// Auswahl der Formulare
	/******************************************************************************/  
	if ( 'slider_verwaltung' == $formular ){
		require_once('formulare/wp-hb-slider-galerieen.php');
	
	}
	if( 'slider_uploader' == $formular && isset( $_POST["slider_welcher"]) ) {
		$src = RSL_PLUGINDIR . 'js/wp-hb-uploader.js'; // 	Full URL of the script
		$in_footer = true; // false ist der davault Wert 
		wp_enqueue_script('wp_hb_uploader', $src, '', RSL_VERSION, $in_footer);
		require_once('formulare/wp-hb-slider-uploader.php');
	}
	
}

  

?>