(function($){
/******************************************************************************/
//  Version: 1.0.1
//  javascript for init slippry and colorbox
/******************************************************************************/
	/**************** ist notwendig ************************************/
	var slippryWrapper = jQuery('#slippryWrapper');		
	/******************************************************************/

	// initTumbnails
	function initTumbnails(){
		var thumbs = jQuery('.mySliderThumbnails').slippry({
  			// general elements & wrapper
  			slippryWrapper: '<div class="slippry_box mySlider_Thumbnails" />',
  			// options
  			transition: 'fade',
  			pager: false,
  			auto: false,
  			onSlideBefore: function (el, index_old, index_new) {
				jQuery('.wp_hb_slider_thumbs a img').removeClass('active');
				jQuery('img', jQuery('.wp_hb_slider_thumbs a')[index_new]).addClass('active');
			}	
	});

		jQuery('.wp_hb_slider_thumbs a').click(function () {
			thumbs.goToSlide(jQuery(this).data('slide'));
			return false;
		});
	}
	
	
    // initTransition
    function initTransition() {
		jQuery('.mySliderTransition').slippry({
  		// general elements & wrapper  		
  		slippryWrapper: '<div class="sy-box mySlider_Transition" />', // wrapper to wrap everything, including pager		
  		// options
		pager: false,
  		adaptiveHeight: true, // height of the sliders adapts to current slide
  		useCSS: false, // true, false -> fallback to js if no browser support  		
  		transition: 'horizontal', // transition: 'fade', // fade, horizontal, kenburns, false
		easing: 'linear', // easing to use in the animation [(see... [jquery www])]
		continuous: true,
		pause: 5000,
		});
       
    }
	
	// initFade
    function initFade() {
		jQuery('.mySliderFade').slippry({
  		// general elements & wrapper  		
  		slippryWrapper: '<div class="sy-box mySlider_Fade" />', // wrapper to wrap everything, including pager		
  		// options
		pager: false,
  		adaptiveHeight: true, // height of the sliders adapts to current slide
  		useCSS: false, // true, false -> fallback to js if no browser support  		
  		transition: 'fade', // transition: 'fade', // fade, horizontal, kenburns, false
		easing: 'linear', // easing to use in the animation [(see... [jquery www])]
		continuous: true,
		pause: 5000,
		});
       
    }	
    
	function initScrollen() {
		// alert('mySliderScollen');
		jQuery('.mySliderScrollen').slippry({
  		// general elements & wrapper  		
  		slippryWrapper: '<div class="sy-box mySlider_Scrollen" />', // wrapper to wrap everything, including pager		
  		// options
		pager: false,
  		adaptiveHeight: true, // height of the sliders adapts to current slide
  		useCSS: false, // true, false -> fallback to js if no browser support  		
  		transition: 'horizontal', // transition: 'fade', // fade, horizontal, kenburns, false
		easing: 'linear', // easing to use in the animation [(see... [jquery www])]
		continuous: true,
		pause: 0,
		speed: 6500,
		}); // initScrollen
       
    }
	
	
	function initPictures() {
	jQuery('.mySliderPictures').slippry({
  		// general elements & wrapper
  		slippryWrapper: '<div class="mySlider_Pictures" />', // wrapper to wrap everything, including pager
		
  		// options
  		adaptiveHeight: false, // height of the sliders adapts to current slide
  		captions: false, // Position: overlay, below, custom, false

  		// pager
  		pager: false,
  
		  // controls
  		controls: false,
  		autoHover: false,

  		// transitions
  		transition: 'kenburns', // fade, horizontal, kenburns, false
  		kenZoom: 100.1,
		speed: 4000,
		
		});
	}
	
	/***********************************************************************/
	function diashowini(){
	ladeDiashow = $('.wp_hb_slider_minibilder_box');
	// bestimme die Anzahl der Galerieen der Seite
	var b = ladeDiashow.length;
	// für jede wird eine eigene Initialisierung durchgeführt.
	for (i = 0; i < b; i++) {		
		dieID = ladeDiashow[i].id;		
		var suID = '#'+ladeDiashow[i].id+' a';
		var diegal = 'C_'+dieID;
		// füge den Bilderlink die Klasse der Galerie zu
		$(suID).addClass(diegal);
		sugal = '.'+diegal;
		// initialisierung der Diashow
		$(sugal).colorbox({rel:diegal, 
			slideshow:true,
			slideshowSpeed: 5000,
			slideshowAuto:true,
			open:false ,
			transition:	"elastic", // fade, elastic oder none
			speed: 350, // Geschwindigkeit zum Öffnen des Fensters der Diashow
			opacity: "0.6",
			current: "Bild {current} von {total}",
			previous: "zurück",
			next: "nächstes",
			close: "schließen",
			slideshowStart: "Diashow starten",
			slideshowStop: "Diashow anhalten",
			maxHeight: "95%",
			maxWidth: "95%"
		});
	}
}
/***********************************************************************/
	
	jQuery(document).ready(function(){
		initTransition();
		initPictures();		
		initTumbnails();
		initScrollen();
		initFade();
		diashowini();
		// jQuery(".wp-colorbox-image").colorbox({maxWidth:"95%", maxHeight: "95%", slideshow:false});
		// jQuery(".wp-colorbox-inline").colorbox({inline:true, width:"90%", maxWidth:640});		
	});
})(jQuery);  // Ende Wrapper