(function($) 
{
/******************************************************************************/
//  Version: 0.0.8
/******************************************************************************/

    tinymce.PluginManager.add( 'wp_tinymce_slider_link', function( editor, url ) 
	{
        
		// Wenn der Container wp_tinymce_slider_link angeklickt wird
		
		editor.on('click', function (e) {			
			e.preventDefault();
			e.stopPropagation()
			var geklickt = e.originalTarget;
			var untersuche = geklickt.innerText;			
			var pos1 = untersuche.indexOf('wp-hb-slider');			
			// wenn der shortcode 'wp-hb-slider' nicht enthalten ist abbruch
			if (  pos1 != 1 ) {
				return;
			}				
			wp_tinymce_getparameter_rsl(e);			
			
		});
	 
	
	 
    
		
		
		// Füge den Button zur Visual Editor Toolbar url enthält der Pfad zum script

        editor.addButton('wp_tinymce_slider_link', 
		{
            title: 'Füge sliderslider Link ein',
			image: url + '/rsl_icon16.png',
            cmd: 'wp_tinymce_slider_link',
        }); 
		
		// Add Command when Button Clicked
		editor.addCommand('wp_tinymce_slider_link', function() 
		{
			// Check we have selected some text that we want to link
			var text = editor.selection.getContent({
				'format': 'html'
			});
			if ( text.length === 0 ) 
			{
				// $('#wp_rsl_overlay').removeClass('wp_rsl_unsichtbar');
				var dieParameter = {};
				wp_rsl_formular(dieParameter);
				
			}else
			{
				tinymce.activeEditor.windowManager.alert('Bitte keinen Text auswählen Positionier den Cursor dorthin wo die Galerie eigefügt werden soll .');			
				return;
			}
		})
	})
	/*************************************************************************************/
	function wp_hb_slider_shortcode_konverter(sk){
		dieParameter = {};
		
		// console.log(sk);
		
		var erste_position = 0;	
		if ( sk.search(/\[/) == -1 ){
			return false;
		}
		if ( sk.search(/\]/) == -1 ){
			return false;
		}
		sk = sk.replace(/"|\[|\]/g, '');	
		var laenge_gesamt = sk.length;
		var letze_position = laenge_gesamt -1;
		var beginn_argumete = sk.indexOf(' ',0)+1;
		var laenge_argumente = laenge_gesamt-beginn_argumete
		var argumente = sk.substr(beginn_argumete,laenge_argumente);
		// console.log(">>>"+argumente+"<<<");
		argumente = argumente.trim();
		var a = argumente.split(' ')
		for (key in a) {
        if (a.hasOwnProperty(key)){
            var b = a[key].split("=");
			var c = b[0];
            dieParameter[c] = b[1];
			}
		}
		// console.log(dieParameter);
		return dieParameter;
	}
	// ******************************************************************************
	function wp_tinymce_getparameter_rsl(dasevent){
	dasObjekt		= dasevent.originalTarget;
	// console.log(dasObjekt);
	// console.log(dasevent.target);
	var myText = "";
	myText=dasObjekt.innerText;	
	dieParameter = wp_hb_slider_shortcode_konverter(myText);	
	wp_rsl_formular(dieParameter,true,dasObjekt);
	}
	
	/*************************************************************************************/
	function wp_rsl_iniform(ersetzen=false, zielnode=""){
		
		
		$('#wp_rsl_ok').on('click',function(e){
			
						var diesliderid = $('#wp_hb_rsl_sliderauswahlliste').val();
						
						var dataausrichtung = $('#wp_rsl_ausrichtung').val();
						var datasliderwidth = $('#wp_rsl_width').val();
						var datasliderheight = $('#wp_rsl_height').val();
						var slidertyp  = $('#wp_rsl_slidertyp').val();
						var zufallsreihenfolge = 0;
						if ( $('#wp_rsl_zufallsreihenfolge').attr('checked') ){
							zufallsreihenfolge = 1;
						}
						console.log('wp_rsl_ausrichtung '+dataausrichtung);
						// Erstellung des shortcodes inc. div ***********************************
						if ( 'ohne' == dataausrichtung){
							dataausrichtung = '';
						}
						var ausgeben = '<div class="wp_hb_rsl_slider '+dataausrichtung+'" ';
						ausgeben += 'style="';
						if ( datasliderwidth > 0 ) {
							ausgeben += 'width: 100%; max-width:'+datasliderwidth+'px; ';
						}
						if ( datasliderheight > 0 ) {
							ausgeben += 'min-height: '+datasliderheight+'px;';
						}
						ausgeben += '">';
						// nun folgt der shortcode
						ausgeben += '[wp-hb-slider sliderid="'+diesliderid+'" ';
						if ( datasliderwidth > 0 ) {
							ausgeben += 'width="'+datasliderwidth+'" ';
						}
						if ( datasliderheight > 0 ) {
							ausgeben += 'height="'+datasliderheight+'" ';
						}
						ausgeben += 'ausrichtung="'+dataausrichtung+'" ';
						ausgeben += 'slidertyp="'+slidertyp+'" ';
						if ( zufallsreihenfolge == 1 ){
							ausgeben += 'zufallsreihenfolge="1" ';
						}
						ausgeben += ']</div>';
						// Ende Erstellung des shortcodes inc. div ********************************
						
						
						if ( ersetzen ){
							// tinymce.activeEditor.mceReplaceContent(ausgeben,false,mydiv);
							tinyMCE.activeEditor.execCommand('mceSelectNode', false, zielnode);
							tinyMCE.activeEditor.execCommand('mceRemoveNode', false, zielnode);							
							tinyMCE.activeEditor.execCommand('mceReplaceContent', false, ausgeben);
						}else{
							tinymce.activeEditor.insertContent(ausgeben);							
						}
						$('#wp_rsl_overlay').remove();
						return;			
		});
		$('#wp_rsl_loeschen').on('click',function(e){
						var ausgeben = '';
						tinyMCE.activeEditor.execCommand('mceSelectNode', false, zielnode);
						tinyMCE.activeEditor.execCommand('mceRemoveNode', false, zielnode);							
						tinyMCE.activeEditor.execCommand('mceReplaceContent', false, ausgeben);
						$('#wp_rsl_overlay').remove();
						return;			
		});		
				
		$('#wp_rsl_abbrechen').on('click',function(e){
				$('#wp_rsl_overlay').remove();
		});		
	}
	
	/*************************************************************************************/
	// erstellt das Overlay und Eingabeformular
	/*********************************************************************************************/
	function wp_rsl_formular(dieParameter,aendern=false,zielnode="")
	{
		console.log(dieParameter);
		// class="wp_rsl_unsichtbar"
		var formular =  '<div id="wp_rsl_overlay" >';
		
		formular 	+=  '	<div id="wp_rsl_seite" >';
		formular 	+= '		<div class="wp_rsl_loader" ><img src="'+wp_hb_slider_ajaxdaten.RSL_PLUGINDIR+'css/loader.gif" /><h1>'+wp_hb_slider_ajaxdaten.FMG+'</h1></div>';
		formular 	+= '	</div>';						
		formular 	+= '</div>';	
		$('#wpwrap').prepend(formular);
		
	
		// festlegen der Agumente
		sliderid = 0;
		if ( dieParameter.hasOwnProperty('sliderid') )
			sliderid = dieParameter['sliderid'];
		ausrichtung = "";
		if ( dieParameter.hasOwnProperty('ausrichtung') )
			ausrichtung = dieParameter['ausrichtung'];
		hoehe = 0;
		if ( dieParameter.hasOwnProperty('height') )
			hoehe = dieParameter['height'];
		weite = 0;
		if ( dieParameter.hasOwnProperty('width') )
			weite = dieParameter['width'];
		
		slidertyp = 1;	
		if ( dieParameter.hasOwnProperty('slidertyp') )
			slidertyp = parseInt(dieParameter['slidertyp']) ;
			
		zufallsreihenfolge = 0	
		if ( dieParameter.hasOwnProperty('zufallsreihenfolge') ){			
			zufallsreihenfolge = parseInt(dieParameter['zufallsreihenfolge']) ;
		}
		
		ischecked = '';
		if ( 1 == zufallsreihenfolge){
			ischecked = 'checked';
		}
		

		// Aufruf des Ajaxrequest	
		jQuery.ajax({
        type: 'POST',
        url: wp_hb_slider_ajaxdaten.ajaxurl,
		
        data: {
            action: 'wp_hb_slider_serversidefunction',
			ausgewaehlt: sliderid,
			todo: 'sliderauswahlliste'	
			
		},
		success: function (data, textStatus, XMLHttpRequest) {	
			result = jQuery.parseJSON(data);				
			
			if ( "" !== result.sliderauswahlliste)  {
		
				formular = '<div id="wp_rsl_seite"  ><h1>'+wp_hb_slider_ajaxdaten.ueberschrift+'</h1>';
				formular += '	<p>'+wp_hb_slider_ajaxdaten.ueberschrift2;
				formular += '	</p>';	
				formular += '	<div class="wp_rsl_input_001">';
				formular += '	<span class="wp_rsl_spalte_001">'+wp_hb_slider_ajaxdaten.input1+'</span>	';
				formular += '	<span class="wp_rsl_spalte_002">'+result.sliderauswahlliste+'</span>';
				formular += '	</div>';
				// bearbeiten der Ausrichtung
				formular += '	<div class="wp_rsl_input_001">';
				formular += '	<span class="wp_rsl_spalte_001">'+wp_hb_slider_ajaxdaten.input2+'</span>';
				formular += '	<span class="wp_rsl_spalte_002">';
				formular += '		<select id="wp_rsl_ausrichtung" style="width:200px;">';
				formular += '			<option  value="ohne">ohne';
				formular += '			</option>';
				selected= "";
				if ( 'slider_links' == ausrichtung ){
					selected= "selected";
				}			
				formular += '			<option value="slider_links" '+selected+'>'+wp_hb_slider_ajaxdaten.input2a;
				formular += '			</option>';
				selected= "";
				if ( 'slider_zentriert' == ausrichtung ){
					selected= "selected";
				}			
				formular += '			<option value="slider_zentriert" '+selected+'>'+wp_hb_slider_ajaxdaten.input2b;
				formular += '			</option>';
				selected= "";
				if ( 'slider_rechts' == ausrichtung ){
					selected= "selected";
				}			
				formular += '			<option value="slider_rechts" '+selected+'>'+wp_hb_slider_ajaxdaten.input2c;
				formular += '			</option>';
				formular += '		</select>	';		
				formular += '	</span>	</div>';
				// Ende der Ausrichtung
				// bearbeiten des Slidertyps******************************************************
				formular += '	<div class="wp_rsl_input_001">';
				formular += '	<span class="wp_rsl_spalte_001">'+wp_hb_slider_ajaxdaten.input3+'</span>';
				formular += '	<span class="wp_rsl_spalte_002">';
				formular += '		<select id="wp_rsl_slidertyp" style="width:350px;">';
				/************************************************************************************/
				formular += '			<option  value="1">'+wp_hb_slider_ajaxdaten.input3a;
				formular += '			</option>';
				
				selected= "";
				if ( 7 == slidertyp ){
					selected= "selected";
				}			
				formular += '			<option value="7" '+selected+'>'+wp_hb_slider_ajaxdaten.input3b;
				formular += '			</option>';
				
				selected= "";
				if ( 2 == slidertyp ){
					selected= "selected";
				}			
				formular += '			<option value="2" '+selected+'>'+wp_hb_slider_ajaxdaten.input3c;
				formular += '			</option>';
				
				selected= "";
				if ( 3 == slidertyp ){
					selected= "selected";
				}			
				formular += '			<option value="3" '+selected+'>'+wp_hb_slider_ajaxdaten.input3d;
				formular += '			</option>';
				
				selected= "";
				if ( 6 == slidertyp ){
					selected= "selected";
				}			
				formular += '			<option value="6" '+selected+'>'+wp_hb_slider_ajaxdaten.input3e;
				formular += '			</option>';
				
				selected= "";
				if ( 4 == slidertyp ){
					selected= "selected";
				}			
				formular += '			<option value="4" '+selected+'>'+wp_hb_slider_ajaxdaten.input3f;
				formular += '			</option>';
				
				selected= "";
				if ( 5 == slidertyp ){
					selected= "selected";
				}			
				formular += '			<option value="5" '+selected+'>'+wp_hb_slider_ajaxdaten.input3g;
				formular += '			</option>';
				
				/************************************************************************************/
				formular += '		</select>	';		
				formular += '	</span>	</div>';
				// Ende  des Slidertyps		******************************************************
				// Zufallsreihenfolge
				
				formular += '	<div class="wp_rsl_input_001">';
				formular += '	<span class="wp_rsl_spalte_001">'+wp_hb_slider_ajaxdaten.input4+'</span>';
				formular += '	<span class="wp_rsl_spalte_002">';
				formular += '	 <input id="wp_rsl_zufallsreihenfolge" type="checkbox"  value="1" '+ischecked+'>'+wp_hb_slider_ajaxdaten.input5;
				formular += '	</span></div>';
				
				// Breite und Höhe 
				formular += '	<div class="wp_rsl_input_001">';
				formular += '	<span class="wp_rsl_spalte_001">'+wp_hb_slider_ajaxdaten.input6+'</span>';
				formular += '	<span class="wp_rsl_spalte_002">';
				formular += '	 <input id="wp_rsl_width" type="text" maxlength="4" value="'+weite+'">'+wp_hb_slider_ajaxdaten.input7;
				formular += '	 <input id="wp_rsl_height" type="text" maxlength="3" value="'+hoehe+'">';
				formular += '	</span></div>';
				formular += '	<p><b>'+wp_hb_slider_ajaxdaten.input8+'</b></p>';
				
				// Nun noch die Buttons
				formular += '	<div class="wp_rsl_input_001">';
				formular += '	<span class="wp_rsl_spalte_003"><button id="wp_rsl_ok" >'+wp_hb_slider_ajaxdaten.input9+'</button> &nbsp;</span>';
				formular += '	<span class="wp_rsl_spalte_003">';
				if ( aendern ){
					formular += '	<button id="wp_rsl_loeschen" >'+wp_hb_slider_ajaxdaten.inputA+'</button> ';
				}
				formular += '&nbsp;</span>';
				formular += '	<span class="wp_rsl_spalte_003">';
				formular += '	 <button id="wp_rsl_abbrechen" type="reset">'+wp_hb_slider_ajaxdaten.inputB+'</button>';
				formular += '	</span></div>';
				formular += '</div>';
			
				$('#wp_rsl_overlay').html(formular);
				wp_rsl_iniform(aendern,zielnode);	
			}
			
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log("Fehler im Ajaxrequest");
			console.log(errorThrown);
        }	
		})
    
	}
	/*********************************************************************************************/
	$(document).ready(function() {  
	
	});  
	
})(jQuery);


